Skip to main content
GET
/
retailers
/
api
/
v1
/
organizations
/
{organization_id}
/
offers
List offers
curl --request GET \
  --url https://www.closient.com/retailers/api/v1/organizations/{organization_id}/offers \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "retailer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sku": "",
      "url": "",
      "price": "<string>",
      "price_currency": "USD",
      "status": "active",
      "is_verified": false,
      "source": "manual",
      "quantity_on_hand": 123
    }
  ],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_count": 123,
    "total_pages": 123,
    "has_next": true,
    "has_previous": true
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

organization_id
string<uuid>
required

UUID of the organization to list offers for.

Query Parameters

page
integer
default:1

Page number (1-indexed).

Required range: x >= 1
page_size
integer
default:25

Number of items per page (max 100).

Required range: 1 <= x <= 100

Response

200 - application/json

OK

data
OfferOut · object[]
required
pagination
PaginationMeta · object
required
Example:
{
"has_next": true,
"has_previous": false,
"page": 1,
"page_size": 25,
"total_count": 342,
"total_pages": 14
}